Bug 690025 - Review Request: cminpack - Solver for nonlinear equations and nonlinear least squares problems
Summary: Review Request: cminpack - Solver for nonlinear equations and nonlinear least...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 694479
TreeView+ depends on / blocked
 
Reported: 2011-03-23 04:15 UTC by Rich Mattes
Modified: 2012-02-21 13:38 UTC (History)
3 users (show)

Fixed In Version: cminpack-1.1.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-25 03:44:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tim: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rich Mattes 2011-03-23 04:15:06 UTC
Spec URL: http://rmattes.fedorapeople.org/RPMS/cminpack/cminpack.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/cminpack/cminpack-1.1.3-1.fc15.src.rpm

Description: 
cminpack is an ISO C99 implementation of the FORTRAN Minpack solver package.
It is fully re-entrant and thread-safe.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2935119

Rpmlint:
$ rpmlint cminpack.spec ../RPMS/x86_64/cminpack*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Tim Niemueller 2011-04-07 13:34:48 UTC
I'll review it, as I need it for review bug #694479.

Comment 2 Tim Niemueller 2011-07-08 11:38:25 UTC
Going to work on this next week.

Comment 3 Rich Mattes 2011-07-18 04:36:52 UTC
Not trying to rush you, but have you had a chance to come back to this yet?

Comment 4 Tim Niemueller 2011-10-11 21:56:20 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent
+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
+ The License field in the package spec file matches the actual license (BSD).
+ The file, containing the text of the license(s) for the package, is included
in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided
in the spec URL.

#sha256sum ~/Downloads/cminpack-1.1.3.tar.gz 
eb319ad3eeb9e54076b2ac484058540dbd5db4a45928302a5fd1469aad5d4467

#sha256sum SOURCES/cminpack-1.1.3.tar.gz 
eb319ad3eeb9e54076b2ac484058540dbd5db4a45928302a5fd1469aad5d4467

+ The package successfully compiles and builds into binary rpms on at least one
primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ Main package calls ldconfig in %post/%postun
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files
listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the
application.
+ Header files are in -devel package
0 Static libraries are in -static package
+ pkg-config files are in -devel package
+ .so (no suffix) are in -devel package
+ -devel package requires base package, -static package requires -devel package
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Excellent package, using it for months now (sorry for the really long delay), no flaws in the spec and packaging.

APPROVED

Comment 5 Rich Mattes 2011-10-12 23:45:32 UTC
Thanks for the review Tim!

Comment 6 Rich Mattes 2011-10-12 23:48:23 UTC
New Package SCM Request
=======================
Package Name: cminpack
Short Description: Solver for nonlinear equations and nonlinear least squares problems
Owners: rmattes
Branches: f14 f15 f16
InitialCC:

Comment 7 Gwyn Ciesla 2011-10-13 12:36:11 UTC
Git done (by process-git-requests).

Tim, please take ownership of review BZs.  Thanks!

Comment 8 Tim Niemueller 2011-10-13 12:49:49 UTC
Sure, forgot about that...

Comment 9 Fedora Update System 2011-10-13 22:43:56 UTC
cminpack-1.1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cminpack-1.1.3-1.fc16

Comment 10 Fedora Update System 2011-10-13 22:44:04 UTC
cminpack-1.1.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cminpack-1.1.3-1.fc15

Comment 11 Fedora Update System 2011-10-13 22:44:13 UTC
cminpack-1.1.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cminpack-1.1.3-1.fc14

Comment 12 Fedora Update System 2011-10-15 14:29:49 UTC
cminpack-1.1.3-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 13 Fedora Update System 2011-10-25 03:44:58 UTC
cminpack-1.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2011-12-02 21:28:26 UTC
cminpack-1.1.3-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 15 Fedora Update System 2011-12-02 21:28:42 UTC
cminpack-1.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 16 Rich Mattes 2012-02-21 03:23:48 UTC
Package Change Request
======================
Package Name: cminpack
New Branches: el6
Owners: rmattes

el6 branch to support el6 build of pcl

Comment 17 Gwyn Ciesla 2012-02-21 13:38:37 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.